# igxLabel

The **igxLabel** directive is intended to be used on single-line text elements to add additional CSS styles. It is especially useful when combined with igx-switch, igx-checkbox, and or igx-avatar components.  
A walkthrough of how to get started can be found [here](https://www.infragistics.com/products/ignite-ui-angular/angular/components/label_input.html)

# Usage

```html
<target-element igxLabel [..options]>Click me</target-element>
```
# Examples

Using `igxLabel` to turn a span element into a styled label for an input.
```html
<span igxLabel>Single line text<span>
```
